This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 986720 - SELinux is preventing /usr/sbin/automount from 'read' accesses on the file auto.misc.
SELinux is preventing /usr/sbin/automount from 'read' accesses on the file au...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e971a732c4658aa8903db90262c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 18:44 EDT by adriano
Modified: 2013-07-22 15:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 15:21:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adriano 2013-07-21 18:44:32 EDT
Description of problem:
start service autofs
SELinux is preventing /usr/sbin/automount from 'read' accesses on the file auto.misc.

*****  Plugin catchall (100. confidence) suggests  ***************************

If si crede che automount dovrebbe avere possibilità di accesso read sui auto.misc file in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
consentire questo accesso per il momento eseguendo:
# grep automount /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:automount_t:s0
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                auto.misc [ file ]
Source                        automount
Source Path                   /usr/sbin/automount
Port                          <Sconosciuto>
Host                          (removed)
Source RPM Packages           autofs-5.0.7-23.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-22 00:38:02 CEST
Last Seen                     2013-07-22 00:38:02 CEST
Local ID                      cb35107f-4aa0-4ff2-8210-6ac96d278b5f

Raw Audit Messages
type=AVC msg=audit(1374446282.870:582): avc:  denied  { read } for  pid=31999 comm="automount" name="auto.misc" dev="dm-1" ino=2623615 scontext=system_u:system_r:automount_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1374446282.870:582): arch=x86_64 syscall=access success=no exit=EACCES a0=7fd1b0000990 a1=4 a2=7fd1b0001060 a3=7fd1b63e4520 items=0 ppid=31992 pid=31999 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=automount exe=/usr/sbin/automount subj=system_u:system_r:automount_t:s0 key=(null)

Hash: automount,automount_t,user_home_t,file,read

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-07-22 05:45:28 EDT
Any chance you have mislabeled /etc/auto.misc?

# ls -Z PATH_TO/auto.misc
Comment 2 adriano 2013-07-22 14:33:13 EDT
(In reply to Miroslav Grepl from comment #1)
> Any chance you have mislabeled /etc/auto.misc?
> 
> # ls -Z PATH_TO/auto.misc

ls -Z /etc/auto.misc
-rw-r--r--. adriano adriano unconfined_u:object_r:bin_t:s0   /etc/auto.misc

Yes, I've restored it from a backup. 
Changed owner to root:root and now it works.
Thanks

Note You need to log in before you can comment on or make changes to this bug.